Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
pem.h File Reference
`#include <botan/secmem.h>`
`#include <string>`

Go to the source code of this file.

## Namespaces
namespace | Botan
namespace | Botan::PEM_Code

## Functions
secure_vector< uint8_t > | Botan::PEM_Code::decode (const std::string &pem, std::string &label)
secure_vector< uint8_t > | Botan::PEM_Code::decode (DataSource &source, std::string &label)
secure_vector< uint8_t > | Botan::PEM_Code::decode_check_label (const std::string &pem, const std::string &label_want)
secure_vector< uint8_t > | Botan::PEM_Code::decode_check_label (DataSource &source, const std::string &label_want)
template<typename Alloc >
std::string | Botan::PEM_Code::encode (const std::vector< uint8_t, Alloc > &data, const std::string &label, size_t line_width=64)
std::string | Botan::PEM_Code::encode (const uint8_t der[], size_t length, const std::string &label, size_t width)
bool | Botan::PEM_Code::matches (DataSource &source, const std::string &extra, size_t search_range)